Package ch.qos.logback.core.spi

## Interface ContextAware

All Known Subinterfaces:
  `Appender<E>`, `ArchiveRemover`, `Configurator`, `Encoder<E>`, `EventEvaluator<E>`, `Layout<E>`, `LoggerContextAware`, `PropertyDefiner`, `ServerRunner<T>`, `ShutdownHook`, `TimeBasedFileNamingAndTriggeringPolicy<E>`

All Known Implementing Classes:
  `AbstractDiscriminator`, `AbstractEventEvaluatorAction`, `AbstractMatcherFilter`, `AbstractServerSocketAppender`, `AbstractSocketAppender`, `AbstractSSLSocketAppender`, `AccessConverter`, `AccessEventDiscriminator`, `Action`, `AppenderAction`, `AppenderBase`, `AppenderRefAction`, `AsyncAppender`, `AsyncAppenderBase`, `BasicConfigurator`, `BeanDescriptionCache`, `BeanDescriptionFactory`, `BlackCompositeConverter`, `BlueCompositeConverter`, `BoldBlueCompositeConverter`, `BoldCyanCompositeConverter`, `BoldGreenCompositeConverter`, `BoldMagentaCompositeConverter`, `BoldRedCompositeConverter`, `BoldWhiteCompositeConverter`, `BoldYellowCompositeConverter`, `CallerDataConverter`, `ClassicConverter`, `ClassOfCallerConverter`, `CompositeConverter`, `Compressor`, `ConcurrentServerRunner`, `ConfigurationAction`, `ConfigurationAction`, `ConfigurationWatchList`, `ConsoleAppender`, `ConsolePluginAction`, `ContentLengthConverter`, `ContextAwareBase`, `ContextAwareImpl`, `ContextBasedDiscriminator`, `ContextNameAction`, `ContextNameConverter`, `ContextPropertyAction`, `ContextUtil`, `ConversionRuleAction`, `CountingFilter`, `CyanCompositeConverter`, `CyclicBufferAppender`, `DateConverter`, `DateConverter`, `DateTokenConverter`, `DefaultDiscriminator`, `DefaultTimeBasedFileNamingAndTriggeringPolicy`, `DefinePropertyAction`, `DelayingShutdownHook`, `DuplicateMessageFilter`, `DynamicConverter`, `DynamicThresholdFilter`, `EchoEncoder`, `EchoLayout`, `ElapsedSecondsConverter`, `ElapsedTimeConverter`, `ElseAction`, `EncoderBase`, `EvaluatorAction`, `EvaluatorAction`, `EvaluatorFilter`, `EventEvaluatorBase`, `ExtendedThrowableProxyConverter`, `FileAppender`, `FileExistsPropertyDefiner`, `FileNamePattern`, `FileOfCallerConverter`, `FileUtil`, `Filter`, `FixedWindowRollingPolicy`, `ForegroundCompositeConverterBase`, `FullRequestConverter`, `FullResponseConverter`, `GenericConfigurator`, `GrayCompositeConverter`, `GreenCompositeConverter`, `HighlightingCompositeConverter`, `HTMLLayout`, `HTMLLayout`, `HTMLLayoutBase`, `IdentityCompositeConverter`, `IfAction`, `ImplicitAction`, `IncludeAction`, `InsertFromJNDIAction`, `IntegerTokenConverter`, `InterpretationContext`, `InterruptUtil`, `JaninoEventEvaluator`, `JaninoEventEvaluator`, `JaninoEventEvaluatorBase`, `JMXConfigurator`, `JMXConfiguratorAction`, `JNDIBasedContextDiscriminator`, `JoranConfigurator`, `JoranConfigurator`, `JoranConfiguratorBase`, `LayoutBase`, `LayoutWrappingEncoder`, `LevelAction`, `LevelChangePropagator`, `LevelConverter`, `LevelFilter`, `LineOfCallerConverter`, `LineSeparatorConverter`, `LineSeparatorConverter`, `ListAppender`, `LocalIPAddressConverter`, `LocalPortConverter`, `LocalSequenceNumberConverter`, `LoggerAction`, `LoggerContextAwareBase`, `LoggerContextListenerAction`, `LoggerConverter`, `MagentaCompositeConverter`, `MarkerConverter`, `MarkerFilter`, `Matcher`, `MatchingFilter`, `MDCBasedDiscriminator`, `MDCConverter`, `MDCFilter`, `MessageConverter`, `MethodOfCallerConverter`, `NAConverter`, `NamedConverter`, `NestedBasicPropertyIA`, `NestedComplexPropertyIA`, `NewRuleAction`, `NOPAction`, `NOPAppender`, `NopThrowableInformationConverter`, `OnConsoleStatusListener`, `OnErrorConsoleStatusListener`, `OnErrorEvaluator`, `OnMarkerEvaluator`, `OnPrintStreamStatusListenerBase`, `OutputStreamAppender`, `ParamAction`, `Parser`, `PatternLayout`, `PatternLayout`, `PatternLayoutBase`, `PatternLayoutEncoder`, `PatternLayoutEncoder`, `PatternLayoutEncoderBase`, `PrefixCompositeConverter`, `PropertyAction`, `PropertyConverter`, `PropertyDefinerBase`, `PropertyEvalScriptBuilder`, `PropertySetter`, `QueryStringConverter`, `ReceiverAction`, `ReceiverBase`, `ReconfigureOnChangeFilter`, `ReconfigureOnChangeTask`, `RedCompositeConverter`, `RelativeTimeConverter`, `RemoteHostConverter`, `RemoteIPAddressConverter`, `RemoteUserConverter`, `RenameUtil`, `ReplacingCompositeConverter`, `RequestAttributeConverter`, `RequestContentConverter`, `RequestCookieConverter`, `RequestHeaderConverter`, `RequestMethodConverter`, `RequestParameterConverter`, `RequestProtocolConverter`, `RequestURIConverter`, `RequestURLConverter`, `ResourceExistsPropertyDefiner`, `ResponseContentConverter`, `ResponseHeaderConverter`, `RollingFileAppender`, `RollingPolicyBase`, `RootCauseFirstThrowableProxyConverter`, `RootLoggerAction`, `SaxEventRecorder`, `ServerNameConverter`, `ServerSocketAppender`, `ServerSocketAppender`, `ServerSocketReceiver`, `SessionIDConverter`, `ShutdownHookAction`, `ShutdownHookBase`, `SiftAction`, `SiftAction`, `SiftingAppender`, `SiftingAppender`, `SiftingAppenderBase`, `SiftingJoranConfigurator`, `SiftingJoranConfigurator`, `SiftingJoranConfiguratorBase`, `SimpleRuleStore`, `SizeAndTimeBasedArchiveRemover`, `SizeAndTimeBasedFNATP`, `SizeAndTimeBasedRollingPolicy`, `SizeBasedTriggeringPolicy`, `SMTPAppender`, `SMTPAppender`, `SMTPAppenderBase`, `SocketAppender`, `SocketAppender`, `SocketReceiver`, `SSLParametersConfiguration`, `SSLServerSocketAppender`, `SSLServerSocketAppender`, `SSLServerSocketAppenderBase`, `SSLServerSocketReceiver`, `SSLSocketAppender`, `SSLSocketAppender`, `SSLSocketReceiver`, `StatusCodeConverter`, `StatusListenerAction`, `StaxEventRecorder`, `SyslogAppender`, `SyslogAppenderBase`, `SyslogStartConverter`, `ThenAction`, `ThenOrElseActionBase`, `ThreadConverter`, `ThreadNameConverter`, `ThresholdFilter`, `ThrowableHandlingConverter`, `ThrowableProxyConverter`, `TimeBasedArchiveRemover`, `TimeBasedFileNamingAndTriggeringPolicyBase`, `TimeBasedRollingPolicy`, `TimestampAction`, `TriggeringPolicyBase`, `TTLLLayout`, `TurboFilter`, `UnsynchronizedAppenderBase`, `URLEvaluator`, `WhiteCompositeConverter`, `XMLLayout`, `YellowCompositeConverter`

    public interface ContextAware

An object which has a context and add methods for updating internal status messages.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addError​(java.lang.String msg)`
`void` `addError​(java.lang.String msg, java.lang.Throwable ex)`
`void` `addInfo​(java.lang.String msg)`
`void` `addInfo​(java.lang.String msg, java.lang.Throwable ex)`
`void` `addStatus​(Status status)`
`void` `addWarn​(java.lang.String msg)`
`void` `addWarn​(java.lang.String msg, java.lang.Throwable ex)`
`Context` `getContext()`
`void` `setContext​(Context context)`

### Method Detail

#### setContext

    void setContext​(Context context)

#### getContext

    Context getContext()

#### addStatus

    void addStatus​(Status status)

#### addInfo

    void addInfo​(java.lang.String msg)

#### addInfo

    void addInfo​(java.lang.String msg,
                 java.lang.Throwable ex)

#### addWarn

    void addWarn​(java.lang.String msg)

#### addWarn

    void addWarn​(java.lang.String msg,
                 java.lang.Throwable ex)

#### addError

    void addError​(java.lang.String msg)

#### addError

    void addError​(java.lang.String msg,
                  java.lang.Throwable ex)